/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.dto;

import io.swagger.annotations.ApiModel;


/**
 * 系统基本信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-09-09 01:46:13  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@ApiModel(description = "系统基本信息表")
public class ProjectDataVo {
    //在测系统
    private Integer testing;
    //已完成系统
    private Integer finished;
    //异常系统
    private Integer exception;
    //延期系统
    private Integer delay;

    private String projectId;

    private Integer testPoint;

    private Integer caseDesign;

    private Double caseBugFindRate;

    private Double testPointDesignRate;

    private Double caseDesignRate;

    private String belongModule;

    private Integer referCaseTestPoint;

    private Double bugEscapeRate;

    private Double bugDensity;

    private String systemId;

    private String projectName;

    private String projectStatus;

    public String getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Double getBugDensity() {
        return bugDensity;
    }

    public void setBugDensity(Double bugDensity) {
        this.bugDensity = bugDensity;
    }

    public String getSystemId() {
        return systemId;
    }

    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }

    public Double getBugEscapeRate() {
        return bugEscapeRate;
    }

    public void setBugEscapeRate(Double bugEscapeRate) {
        this.bugEscapeRate = bugEscapeRate;
    }

    public String getBelongModule() {
        return belongModule;
    }

    public void setBelongModule(String belongModule) {
        this.belongModule = belongModule;
    }

    public Integer getReferCaseTestPoint() {
        return referCaseTestPoint;
    }

    public void setReferCaseTestPoint(Integer referCaseTestPoint) {
        this.referCaseTestPoint = referCaseTestPoint;
    }

    public Double getCaseDesignRate() {
        return caseDesignRate;
    }

    public void setCaseDesignRate(Double caseDesignRate) {
        this.caseDesignRate = caseDesignRate;
    }

    public Double getTestPointDesignRate() {
        return testPointDesignRate;
    }

    public void setTestPointDesignRate(Double testPointDesignRate) {
        this.testPointDesignRate = testPointDesignRate;
    }

    public Double getCaseBugFindRate() {
        return caseBugFindRate;
    }

    public void setCaseBugFindRate(Double caseBugFindRate) {
        this.caseBugFindRate = caseBugFindRate;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Integer getTestPoint() {
        return testPoint;
    }

    public void setTestPoint(Integer testPoint) {
        this.testPoint = testPoint;
    }

    public Integer getCaseDesign() {
        return caseDesign;
    }

    public void setCaseDesign(Integer caseDesign) {
        this.caseDesign = caseDesign;
    }

    public Integer getTesting() {
        return testing;
    }

    public void setTesting(Integer testing) {
        this.testing = testing;
    }

    public Integer getFinished() {
        return finished;
    }

    public void setFinished(Integer finished) {
        this.finished = finished;
    }

    public Integer getException() {
        return exception;
    }

    public void setException(Integer exception) {
        this.exception = exception;
    }

    public Integer getDelay() {
        return delay;
    }

    public void setDelay(Integer delay) {
        this.delay = delay;
    }
}
